This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 453251 - javah wrong classpath
javah wrong classpath
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: java-1.5.0-gcj (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Lillian Angel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-28 07:17 EDT by Alexey Kuznetsov
Modified: 2009-01-09 01:38 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:38:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
test_cpp.java (322 bytes, application/octet-stream)
2008-06-28 07:17 EDT, Alexey Kuznetsov
no flags Details

  None (edit)
Description Alexey Kuznetsov 2008-06-28 07:17:01 EDT
javah unable to find java/lang/Object.class.

steps to reproduce

javac test_cpp.java
javah -classpath . test_cpp
Comment 1 Alexey Kuznetsov 2008-06-28 07:17:01 EDT
Created attachment 310497 [details]
test_cpp.java
Comment 2 Alexey Kuznetsov 2008-06-28 07:17:17 EDT
javah -classpath . test_cpp
Exception in thread "main" java.io.IOException: can't find class file
java/lang/Object.class in
java.net.URLClassLoader{urls=[file:/home/axet/jar/./,file:/usr/lib/jvm/java-1.5.0-gcj-1.5.0.0/jre/lib/rt.jar],
parent=gnu.gcj.runtime.SystemClassLoader{urls=[file:./],
parent=gnu.gcj.runtime.ExtensionClassLoader{urls=[], parent=null}}}
   at gnu.classpath.tools.javah.Main.getClass(libgcj-tools.so.8rh)
   at gnu.classpath.tools.javah.ClassWrapper.linkSupers(libgcj-tools.so.8rh)
   at gnu.classpath.tools.javah.ClassWrapper.isThrowable(libgcj-tools.so.8rh)
   at gnu.classpath.tools.javah.JniHelper.getName(libgcj-tools.so.8rh)
   at gnu.classpath.tools.javah.JniPrintStream.print(libgcj-tools.so.8rh)
   at gnu.classpath.tools.javah.JniIncludePrinter.printClass(libgcj-tools.so.8rh)
   at gnu.classpath.tools.javah.Main.writeHeaders(libgcj-tools.so.8rh)
   at gnu.classpath.tools.javah.Main.run(libgcj-tools.so.8rh)
   at gnu.classpath.tools.javah.Main.main(libgcj-tools.so.8rh)
make: *** [all] Error 1
Comment 3 Bug Zapper 2008-11-26 05:56:06 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Alexey Kuznetsov 2008-11-26 08:04:16 EST
fixed in fedora 9+last updates
Comment 5 Bug Zapper 2009-01-09 01:38:38 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.